### Method

# AppStream Relation is_satisfied

#### Declaration [src]

    AsRelationCheckResult*
    as_relation_is_satisfied (
      AsRelation* relation,
      AsSystemInfo* system_info,
      AsPool* pool,
      GError** error
    )

#### Description [src]

Test if this relation is satisfied on the current system or with the provided `AsPool`. If no `AsSystemInfo` is found, a temporary one will be created. If no `AsPool` is provided, any component relationships can not be validated and an error will be thrown.

#### Parameters

`system_info`

  Type: `AsSystemInfo`

  An `AsSystemInfo` to use for system information.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`pool`

  Type: `AsPool`

  An `AsPool` to find component dependencies in.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `AsRelationCheckResult`

An `AsRelationCheckResult` with details about the result, or `NULL` on error.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.